Status: Resolved Priority: Should have
Author: Oliver Hader Category: Import/Export (T3D)
Created: 2013-11-12 Assigned To: Oliver Hader
Updated: 2014-05-04 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: File handling in import/export module is broken
Description

The file handling (downloading/storing or uploading/fetching existing T3D/XML files) is currently broken in the import/export module of
the TYPO3 CMS backend.
There are further sub-issues:
    -  faulty file-mounts disposal in file abstraction layer & view issues
    -  upload tab in import module is not shown
    -  thumbnail feature does not work anymore
    -  saving export file to folder on server does not work

Related issues:
blocked by Core - Task # 55177: Add concept of a default storage Resolved 2014-01-20

Associated revisions
Revision 81a44b68 - 2014-05-04 14:54 - Oliver Hader

[BUGFIX] Fix file handling in import/export module

The file handling (downloading/storing or uploading/fetching
existing T3D/XML files) is currently not full FAL compatible in the
import/export module of the TYPO3 CMS backend. Also saving
export file to folder on server shows an error, but the file is saved.

In further TYPO3 version the .htaccess protected folder
fileadmin/_temp_/ was used to store the export files. This was lately
changed to the public accessible users default upload folder,
normally fileadmin/user_upload/. This patch changes this
back to a .htaccess protected folder, namely temp/importexport/
below users default upload folder.

Resolves: #53552
Tested-by: Marc Bastian Heinrichs

History
#1 - 2013-11-12 12:02 - Oliver Hader
- File 53552_1.png added
- File 53552_2.png added
- Category set to Import/Export (T3D)
- Assigned To set to Oliver Hader
- Complexity set to medium
#2 - 2013-11-12 12:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25294

#3 - 2014-05-03 20:18 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25294

#4 - 2014-05-04 11:27 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25294

#5 - 2014-05-04 12:49 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25294

#6 - 2014-05-04 14:51 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25294

#7 - 2014-05-04 15:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:81a44b68f14c4e58f8a2e4037c218c699be79a0b.
